package miscc;

import miscc.Tree.*;

abstract public class DefaultVisitor implements Visitor {
    public void caseBad(Bad tree)             { caseDefault(tree); }
    public void caseProgram(Program tree)     { caseDefault(tree); }
    public void caseBody(Body tree)           { caseDefault(tree); }
    public void caseFunDef(FunDef tree)       { caseDefault(tree); }
    public void caseFormal(Formal tree)       { caseDefault(tree); }
    public void caseBasicType(BasicType tree) { caseDefault(tree); }
    public void caseListType(ListType tree)   { caseDefault(tree); }
    public void caseFunType(FunType tree)     { caseDefault(tree); }
    public void caseVarDef(VarDef tree)       { caseDefault(tree); }
    public void caseWhile(While tree)         { caseDefault(tree); }
    public void caseExec(Exec tree)           { caseDefault(tree); }
    public void caseIf(If tree)               { caseDefault(tree); }
    public void caseAssign(Assign tree)       { caseDefault(tree); }
    public void caseOperation(Operation tree) { caseDefault(tree); }
    public void caseListop(Listop tree)       { caseDefault(tree); }
    public void caseIdent(Ident tree)         { caseDefault(tree); }
    public void caseUnitLit(UnitLit tree)     { caseDefault(tree); }
    public void caseNilLit(NilLit tree)       { caseDefault(tree); }
    public void caseIntLit(IntLit tree)       { caseDefault(tree); }
    public void caseApply(Apply tree)         { caseDefault(tree); }
    public abstract void caseDefault(Tree tree);
}
